Мигрировал на Opensearch, нормальное ли это значение minimum_wire_compatibility_version?

Подскажите ответ на вот такой вопрос, мигрировал с Elasticsearch на OpenSearch (Версия 2.14), всё работает, но смущает следующее: при выполнении запроса curl -X GET http://localhost:9200
получаю ответ:
{
  "name" : "graylog07",
  "cluster_name" : "graylog",
  "cluster_uuid" : "F71gNpV-TUSjVbscIkUSTg",
  "version" : {
    "distribution" : "opensearch",
    "number" : "2.14.0",
    "build_type" : "deb",
    "build_hash" : "aaa555453f4713d652b52436874e11ba258d8f03",
    "build_date" : "2024-05-09T18:50:48.052504416Z",
    "build_snapshot" : false,
    "lucene_version" : "9.10.0",
    "minimum_wire_compatibility_version" : "7.10.0",
    "minimum_index_compatibility_version" : "7.0.0"
  },
  "tagline" : "The OpenSearch Project: https://opensearch.org/"
}

и вот никак не пойму, какие должны быть значения у minimum_wire_compatibility_version и minimum_index_compatibility_version? Если не мигрировать кластер, а создавать с нуля, то какие там значения?

Вопрос больше из любопытства, так как в работе проблем не наблюдается.
  • Вопрос задан
  • 19 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы